Page MenuHomePhabricator

Make webservice default to trusty on toollabs
Closed, ResolvedPublic

Description

Currently, if called as 'webservice' it defaults to precise for lighttpd (nothing else runs on precise anymore), and if called as webservice2 it defaults to trusty.

At some point, webservice should default to trusty, and older webservices can get precise by specifically asking for it with --release precise.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added subscribers: yuvipanda, coren, scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 1:14 AM
scfc triaged this task as Low priority.Apr 6 2015, 8:18 AM
scfc moved this task from Triage to Backlog on the Toolforge board.Apr 6 2015, 8:21 AM
yuvipanda raised the priority of this task from Low to Normal.Apr 6 2015, 8:28 AM

Let's do this on 29th April. Email coming up shortly.

Change 207380 had a related patch set uploaded (by Yuvipanda):
tools: Make webservice read default server service manifest

https://gerrit.wikimedia.org/r/207380

Change 207380 merged by Yuvipanda:
tools: Make webservice read default server service manifest

https://gerrit.wikimedia.org/r/207380

yuvipanda closed this task as Resolved.Apr 29 2015, 11:43 PM
yuvipanda claimed this task.

DONE!

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 25 2015, 9:06 PM
Ricordisamoa set Security to None.
Ricordisamoa removed a subscriber: gerritbot.